Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.fonts
Class Type1Font

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.fonts.Font
              org.pdfclown.documents.contents.fonts.SimpleFont
                  org.pdfclown.documents.contents.fonts.Type1Font

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  MMType1Font, StandardType1Font

    @PDF(value=PDF10)
    public class Type1Font

extends SimpleFont

Type 1 font [PDF:1.6:5.5.1;AFM:4.1].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.fonts.Font
`Font.FlagsEnum`

Field Summary
`protected org.pdfclown.documents.contents.fonts.AfmParser.FontMetrics` | `metrics`

Fields inherited from class org.pdfclown.documents.contents.fonts.Font
`codes, defaultGlyphWidth, glyphIndexes, glyphKernings, glyphWidths, symbolic, usedCodes`

Method Summary
`Type1Font` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`protected Map<ByteArray,Integer>` | `getNativeEncoding()`
`protected void` | `loadEncoding()`

Methods inherited from class org.pdfclown.documents.contents.fonts.SimpleFont
`getDescriptor, loadEncodingDifferences, onLoad`

Methods inherited from class org.pdfclown.documents.contents.fonts.Font
`decode, encode, equals, get, get, get, getAscent, getAscent, getDescent, getDescent, getFlags, getHeight, getHeight, getHeight, getHeight, getKernedWidth, getKerning, getKerning, getKerning, getLineHeight, getLineHeight, getName, getScalingFactor, getWidth, getWidth, getWidth, getWidth, hashCode, isSymbolic, load, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metrics

    protected org.pdfclown.documents.contents.fonts.AfmParser.FontMetrics metrics

Method Detail

### clone

    public Type1Font clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getNativeEncoding

    protected Map<ByteArray,Integer> getNativeEncoding()

### loadEncoding

    protected void loadEncoding()

  Specified by:
    `loadEncoding` in class `SimpleFont`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.